<!--
 ~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 ~
 ~ WSO2 Inc. licenses this file to you under the Apache License,
 ~ Version 2.0 (the "License"); you may not use this file except
 ~ in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~    http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing,
 ~ software distributed under the License is distributed on an
 ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 ~ KIND, either express or implied.  See the License for the
 ~ specific language governing permissions and limitations
 ~ under the License.
 -->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.wso2.carbon.tracer.ui.types.carbon.MessageInfo" %>
<%@ page import="org.wso2.carbon.tracer.ui.types.carbon.MessagePayload" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>

<fmt:bundle basename="org.wso2.carbon.tracer.ui.i18n.Resources">

    <%
        response.setHeader("Cache-Control", "no-cache");
        MessageInfo[] messageIDs = (MessageInfo[]) request.getAttribute("messageIDs");
        MessagePayload messagePayload = (MessagePayload) request.getAttribute("messagePayload");
    %>
    <table class="styledLeft" width="100%">
        <thead>
        <tr>
            <th colspan="3"><fmt:message key="messages"/></th>
        </tr>
        </thead>
        <tr>
            <td colspan="3" style="padding:0 !important;">
                <select id="messageIDs" size="10" style="width:100%">
                    <%
                        if (messageIDs != null) {
                            int i = 0;
                            for (MessageInfo msgInfo : messageIDs) {
                                if (msgInfo != null) {
                                    String msg = msgInfo.getServiceId() + "." +
                                                 msgInfo.getOperationName() +
                                                 " [" + msgInfo.getMessageSequence() + "]";
                                    String id = msgInfo.getServiceId() + "," +
                                                msgInfo.getOperationName() + "," +
                                                msgInfo.getMessageSequence();
                                    if (i == 0) {
                    %>
                    <option selected="true" value="<%= id%>"><%= msg%>
                    </option>
                    <%
                    } else {
                    %>
                    <option value="<%= id%>"><%= msg%>
                    </option>
                    <%
                                    }
                                    i++;
                                }
                            }
                        }
                    %>
                </select>
                <script type="text/javascript">
                    function errorFunction() {
                        CARBON.showErrorDialog('<fmt:message key="cannot.get.messages"/>');
                    }
                </script>
                <ajax:htmlContent baseUrl="message_ajaxprocessor.jsp"
                                  source="messageIDs"
                                  target="messagesOutput"
                                  eventType="change"
                                  errorFunction="errorFunction"
                                  parameters="messageUUID={messageIDs}"/>
            </td>
        </tr>
        <tr>
            <td colspan="3">&nbsp;</td>
        </tr>
    </table>

    <div id="messagesOutput">
        <%
            request.setAttribute("messagePayload", messagePayload);
        %>
        <jsp:include page="message_include.jsp"/>
    </div>
</fmt:bundle>